//+-------------------------------------------------------------------
//
//  
//  Copyright (C) Silicon Software GmbH, 1999.
//
//  File:       os_type.h
//
//  Contents:   
//              
//
//
//--------------------------------------------------------------------

#ifndef __OSTYPE
#define __OSTYPE

#ifdef LINUX
#define MEUNIX
#endif

#ifdef QNX
#define MEUNIX
#endif


#ifndef MEUNIX
//#define _WINNT
//#define FUNC_PTR *

#define ME_FUNC_PTR * 

#include <windows.h>
#include "ntddk_1.h"

#endif


#ifdef MEUNIX

#define ME_FUNC_PTR 
//#define FUNC_PTR 
typedef unsigned long OVERLAPPED;
typedef unsigned long ULONG;
typedef unsigned int UINT;
typedef void* PVOID;
typedef unsigned long DWORD;
typedef int HKEY;

#define HKEY_LOCAL_MACHINE 0
#define KEY_READ 0

typedef unsigned int  HANDLE ;

#define ERROR_SUCCESS 0
#define ERROR_IO_PENDING -10

int   RegOpenKeyEx(int hkl, char *,int tag,int key,int *hKeyFileType);

int   RegQueryValueEx(int hKeyFileType,char *hap_path,int tag,DWORD *dwType,unsigned char* szBuffer,DWORD *dwBytes);

void RegCloseKey(int hKeyFileType);

#ifdef __cplusplus
extern "C" long  GetTickCount();
#else
long  GetTickCount();
#endif
int GetLastError();

int CancelIo(int);
int Sleep(int);

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/ioctl.h>
#include <sys/mman.h>

#endif

#endif





















